Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problems upgrading profile to 2005.0
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
Corona688
Veteran
Veteran


Joined: 10 Jan 2004
Posts: 1204

PostPosted: Sat Apr 09, 2005 1:50 am    Post subject: Problems upgrading profile to 2005.0 Reply with quote

I make it fine up to here:
Code:
emerge -v --oneshot '>=sys-libs/glibc-2.3.4.20041102'
and it breaks here:
Code:
 * Checking gcc for __thread support ... yes
 * Checking kernel version (>=2.6.6) ... no

 * You need a kernel of at least version 2.6.6
 * for NPTL support!
Which is a load of $#!^%$&*@ since NPTL is already happily running on 2.6.5. Did they really break anything to make it stop working with 2.6.5, or are they being needlessly paranoid?
_________________
Petition for Better 64-bit ATI Drivers - Sign Here
http://www.petitiononline.com/atipet/petition.html
Back to top
View user's profile Send private message
Corona688
Veteran
Veteran


Joined: 10 Jan 2004
Posts: 1204

PostPosted: Sat Apr 09, 2005 2:16 am    Post subject: Reply with quote

I attempted to rebuild my old glibc instead of upgrading, and it gave me the 'cannot compute size of long double' error. So I followed the directions on this thread and now emerge, won't. Just gives me:
Code:
 * It appears you have switched to the 2005.0 profile without following
 * the upgrade guide.  Please see the following URL for more information:
 * http://www.gentoo.org/proj/en/base/amd64/2005.0-upgrade-amd64.xml
.. which just links me to the (faulty) directions I've been following all along. It won't emerge anything anymore. What the hell can I do now?
_________________
Petition for Better 64-bit ATI Drivers - Sign Here
http://www.petitiononline.com/atipet/petition.html
Back to top
View user's profile Send private message
Corona688
Veteran
Veteran


Joined: 10 Jan 2004
Posts: 1204

PostPosted: Sat Apr 09, 2005 2:20 am    Post subject: Reply with quote

Hello?

Anybody?
_________________
Petition for Better 64-bit ATI Drivers - Sign Here
http://www.petitiononline.com/atipet/petition.html
Back to top
View user's profile Send private message
whig
l33t
l33t


Joined: 27 Nov 2004
Posts: 970
Location: New Zealand

PostPosted: Sat Apr 09, 2005 7:30 am    Post subject: Reply with quote

Corona688 wrote:
I attempted to rebuild my old glibc instead of upgrading, and it gave me the 'cannot compute size of long double' error. So I followed the directions on this thread and now emerge, won't. Just gives me:
Code:
 * It appears you have switched to the 2005.0 profile without following
 * the upgrade guide.  Please see the following URL for more information:
 * http://www.gentoo.org/proj/en/base/amd64/2005.0-upgrade-amd64.xml
.. which just links me to the (faulty) directions I've been following all along. It won't emerge anything anymore. What the hell can I do now?


In this file,

/usr/portage/profiles/default-linux/amd64/2005.0/profile.bashrc

appears

Code:
if [ -L /lib32 -o -L /usr/lib32 ] && [ ${PORTAGE_CALLER} != "repoman" ] ; then


so it looks like you have some old links there. This happened to me.
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Tue Sep 27, 2005 7:17 am    Post subject: Reply with quote

Moved from Gentoo on AMD64 to Duplicate Threads in favour of 'Switched to 2005.0 profile without following upgrade guide'.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum